DCMTK - Feature #346

DcmSCP: forked-child mode setzt multi-process mode voraus
2011-06-27 00:00 - J6rg Riesmeier

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0:00 hour

Target version:

Module: dcmnet Compiler:

Operating System:

Description

siehe http://forum.dcmtk.org/viewtopic.php?t=3052
Prafen ob DemSCP::markAsForkedChild() nicht auch ohne vorheriges DemSCP::enableMultiProcessMode() funktionieren sollte.

AuBerdem: Die Dokumentation von DecmSCP::markAsForkedChild() fehlt, da beim Doxygen-Durchlauf "_WIN32" nicht definiert ist.
"#ifdef"'s im Header sind immer bdse.

History

#1 - 2013-11-26 13:38 - Jorg Riesmeier

- Status changed from New to Closed

Wird nicht mehr benétigt, da der Multi-Process-Kram durch eine sauberere Multi-Threaded-Implementierung ersetzt wurde.
